<?xml version="1.0" encoding="UTF-8" standalone="no"?>

<gep name="Sync" title="Provides synchronization APIs when an ISync.Handle is available" version="1">

<page name="Module" title="Module Settings">
<html><body><table>
  <tr>
      <td><form>
        <p>The application must first obtain an ISync.Handle. It can get such a handle by directly calling
		   calling <a href="http://rtsc.eclipse.org/cdoc-tip/index.html#xdc/runtime/knl/SyncGeneric.html#per-instance_creation"> SyncGeneric.create </a>
		   or
		   <a href="http://rtsc.eclipse.org/cdoc-tip/index.html#xdc/runtime/knl/SyncSemThread.html#per-instance_creation"> SyncSemThread.create. </a>
           Then the application can use the generic APIs provided by this module.</p>
        <p> </p>
      </form></td>
  </tr>
  <tr>
    <td><control type="checkbox" label="Add Sync to my configuration" value="value:this.$used" bold="true"/></td>
  </tr>
  <tr></tr>
  <tr><td>
    <h1>Platform-specific Support</h1>
    <table>
      <tr>
        <td><control type="label" label="Sync provider"/></td>
        <td><control type="editbox"
             enabled="value:this.$used"
             value="value:this.Proxy"
             tooltip="value:this.Proxy.$summary"/></td>
      </tr>
    </table>
  </td></tr>
</table></body></html>
</page>
</gep>

<!--
/*
 * @(#) xdc.runtime.knl; 1, 0, 0,0; 11-8-2017 17:11:35; /db/ztree/library/trees/xdc/xdc-D20.1/src/packages/
 */
-->

